aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--community/ospd/APKBUILD (renamed from testing/ospd/APKBUILD)23
1 files changed, 7 insertions, 16 deletions
diff --git a/testing/ospd/APKBUILD b/community/ospd/APKBUILD
index fa29bbbc46..92753dc8d0 100644
--- a/testing/ospd/APKBUILD
+++ b/community/ospd/APKBUILD
@@ -7,32 +7,23 @@ pkgdesc="Collection of scanner wrappers for OpenVAS"
url="http://www.openvas.org/"
arch="noarch"
license="GPL"
-depends="python"
+depends="python3"
depends_dev=""
-makedepends="$depends_dev py-paramiko py-setuptools"
+makedepends="$depends_dev py3-paramiko"
install=""
subpackages=""
source="http://wald.intevation.org/frs/download.php/2217/$pkgname-$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
- python setup.py build || return 1
+ cd "$builddir"
+ python3 setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="87b583b732c6efe1cc3632ec5136c278 ospd-1.2b1.tar.gz"